module Fox
  class FXMemoryBuffer

    # Size in bytes [Integer]
    attr_reader :size

    # Return the specified element (an Integer)
    def [](index); end
    
    # Set the specified element to _value_.
    def []=(index, value); end
	
    #
    # Return a copy of the buffer data as a String.
    #
    def to_s; end
  end
end

